""" Puma prototype

"""

from slic.core.adjustable import Adjustable, PVAdjustable

from slic.core.device import Device, SimpleDevice
from slic.devices.general.motor import Motor


class Puma(Device):
    def __init__(self, **kwargs):

        self.name = 'Puma'
        ID = self.name
        super().__init__(ID, **kwargs)

        
        self.sample_x = Motor("SARES30-PUMA-SX:MOT")
        self.sample_y = Motor("SARES30-PUMA-SY:MOT")
        self.sample_z = Motor("SARES30-PUMA-SZ:MOT")
        self.sample_r = Motor("SARES30-PUMA-SR:MOT")

        self.magnet_x = Motor("SARES30-PUMA-MX:MOT")
        self.magnet_y = Motor("SARES30-PUMA-MY:MOT")
        self.magnet_z = Motor("SARES30-PUMA-MZ:MOT")



